#include "hmg.ch"

/*
* Level p005
*/
FUNCTION p005_Main
PUBLIC oPrint := L3WPrint():New()
IF oPrint:Error()
 MsgStop(oPrint:ErrorMsg())
ELSE
 IF oPrint:Select()
  oPrint:Setpro("margin", {5, 5, 5, 5})
  oPrint:Setpro("bodyheader", { {|| p005_bdhd()}, 15, 20 } )
  oPrint:Setpro("bodyfooter", { {|| p005_bdfo()}, 280, 10 } )
  p005_DoPrint()
 ENDIF
ENDIF
RETURN NIL
/*
* Level p005 subfuction
*/
STATIC FUNCTION p005_DoPrint()
LOCAL nCounter := 0
oPrint:StartDoc()
FOR nCounter:=1 TO 193
 oPrint:Setpro("rowheight",7)
 IF nCounter == 10
  oPrint:PrintText( .F., "Set fixed BODY HEADER & FOOTER: look at last page and keep in mind", 0, 10, 200, 6, , , .T., .F., .F., .F., , "LEFT" )
 ELSE
  oPrint:PrintText( .F., "# " + LTRIM(STR(nCounter))+" Times New Roman", 0, 30, 200, 6, "Times New Roman", 12, .F., .F., .F., .F., , "LEFT" )
 ENDIF
 oPrint:SkipLine(oPrint:Getpro("rowheight"))
NEXT nCounter
oPrint:EndDoc()
RETURN NIL

/*
* Level p005 Body Header
*/
STATIC FUNCTION p005_BdHd()
LOCAL aColor := {0, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol"), nRow := 0
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test005) BODY Header row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
oPrint:PrintText( .F., "(test005) BODY Header row 2 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
nRow := oPrint:Getpro("currow")
oPrint:PrintLine( .T., nRow, nMinCol, nRow, nMaxCol, 0.1, aColor )
RETURN NIL

/*
* Level p005 Body Footer
*/
STATIC FUNCTION p005_BdFo()
LOCAL aColor := {0, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test005) BODY Footer row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL
