#include "hmg.ch"

/*
* Level p007
*/
FUNCTION p007_Main
PUBLIC oPrint := L3WPrint():New()
IF oPrint:Error()
 MsgStop(oPrint:ErrorMsg())
ELSE
 IF oPrint:Select()
  oPrint:Setpro("margin", {5, 5, 5, 5})
  oPrint:Setpro("pageheader", { {|| p007_pghd()}, 0, 20 } )
  oPrint:Setpro("bodyheader", { {|| p007_bdhd()}, 0, 20 } )
  oPrint:Setpro("bodyfooter", { {|| p007_bdfo()}, 0, 10 } )
  oPrint:Setpro("pagefooter", { {|| p007_pgfo()}, 280, 20 } )
  p007_DoPrint()
 ENDIF
ENDIF
RETURN NIL
/*
* Level p007 subfuction
*/
STATIC FUNCTION p007_DoPrint()
LOCAL nCounter := 0
oPrint:StartDoc()
FOR nCounter:=1 TO 193
 oPrint:Setpro("rowheight",7)
 IF nCounter == 10
  oPrint:PrintText( .F., "Added a fixed PAGE FOOTER with fluctuants PAGE HEADER, BODY HEADER & FOOTER", 0, 10, 200, 6, , , .T., .F., .F., .F., , "LEFT" )
 ELSE
  oPrint:PrintText( .F., "# " + LTRIM(STR(nCounter))+" Times New Roman", 0, 30, 200, 6, "Times New Roman", 12, .F., .F., .F., .F., , "LEFT" )
 ENDIF
 oPrint:SkipLine(oPrint:Getpro("rowheight"))
NEXT nCounter
oPrint:EndDoc()
RETURN NIL

/*
* Level p007 Body Header
*/
STATIC FUNCTION p007_BdHd()
LOCAL aColor := {0, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol"), nRow := 0
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test007) BODY Header row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
oPrint:PrintText( .F., "(test007) BODY Header row 2 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
nRow := oPrint:Getpro("currow")
oPrint:PrintLine( .T., nRow, nMinCol, nRow, nMaxCol, 0.1, aColor )
RETURN NIL

/*
* Level p007 Body Footer
*/
STATIC FUNCTION p007_BdFo()
LOCAL aColor := {0, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test007) BODY Footer row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL

/*
* Level p007 Page Header
*/
STATIC FUNCTION p007_PgHd()
LOCAL aColor := {0, 255, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:PrintRectangle( .F., 0, nMinCol, 20, nMaxCol, 0.1, aColor )
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test007) PAGE Header row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
oPrint:PrintText( .F., "(test007) PAGE Header row 2 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL

/*
* Level p007 Page Footer
*/
STATIC FUNCTION p007_PgFo()
LOCAL aColor := {0, 255, 0}, cPageNum := LTRIM( STR(oPrint:Getpro("pagenum")) )
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:PrintLine( .F., 0, nMinCol, 0, nMaxCol, 0.1, aColor )
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test007) PAGE Footer 1 Pag. "+cPageNum, , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL
