#include "hmg.ch"

/*
* Level p009
*/
FUNCTION p009_Main
PUBLIC oPrint := L3WPrint():New()
IF oPrint:Error()
 MsgStop(oPrint:ErrorMsg())
ELSE
 IF oPrint:Select()
  oPrint:Setpro("margin", {5, 5, 5, 5})
  oPrint:Setpro("repoheader", { {|| p009_rphd()}, 0, 10 } )
  oPrint:Setpro("pageheader", { {|| p009_pghd()}, 0, 20 } )
  oPrint:Setpro("bodyheader", { {|| p009_bdhd()}, 0, 20 } )
  oPrint:Setpro("bodyfooter", { {|| p009_bdfo()}, 0, 10 } )
  oPrint:Setpro("pagefooter", { {|| p009_pgfo()}, 270, 10 } )
  oPrint:Setpro("repofooter", { {|| p009_rpfo()}, 280, 5} )
  p009_DoPrint()
 ENDIF
ENDIF
RETURN NIL
/*
* Level p009 subfuction
*/
STATIC FUNCTION p009_DoPrint()
LOCAL nCounter := 0
oPrint:StartDoc()
FOR nCounter:=1 TO 193
 oPrint:Setpro("rowheight",7)
 IF nCounter == 10
  oPrint:PrintText( .F., "Added a fixed REPORT FOOTER (printed only on the last page) with ...", 0, 10, 200, 6, , , .T., .F., .F., .F., , "LEFT" )
 ELSE
  oPrint:PrintText( .F., "# " + LTRIM(STR(nCounter))+" Times New Roman", 0, 30, 200, 6, "Times New Roman", 12, .F., .F., .F., .F., , "LEFT" )
 ENDIF
 oPrint:SkipLine(oPrint:Getpro("rowheight"))
NEXT nCounter
oPrint:EndDoc()
RETURN NIL

/*
* Level p009 Body Header
*/
STATIC FUNCTION p009_BdHd()
LOCAL aColor := {0, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol"), nRow := 0
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test009) BODY Header row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
oPrint:PrintText( .F., "(test009) BODY Header row 2 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
nRow := oPrint:Getpro("currow")
oPrint:PrintLine( .T., nRow, nMinCol, nRow, nMaxCol, 0.1, aColor )
RETURN NIL

/*
* Level p009 Body Footer
*/
STATIC FUNCTION p009_BdFo()
LOCAL aColor := {0, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test009) BODY Footer row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL


/*
* Level p009 Page Header
*/
STATIC FUNCTION p009_PgHd()
LOCAL aColor := {0, 255, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:PrintRectangle( .F., 0, nMinCol, 20, nMaxCol, 0.1, aColor )
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test009) PAGE Header row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
oPrint:PrintText( .F., "(test009) PAGE Header row 2 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL

/*
* Level p009 Page Footer
*/
STATIC FUNCTION p009_PgFo()
LOCAL aColor := {0, 255, 0}, cPageNum := LTRIM( STR(oPrint:Getpro("pagenum")) )
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:PrintLine( .F., 0, nMinCol, 0, nMaxCol, 0.1, aColor )
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test009) PAGE Footer 1 Pag. "+cPageNum, , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL

/*
* Level p009 Header
*/
STATIC FUNCTION p009_RpHd()
LOCAL aColor := {255, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
LOCAL nRow := 0
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test009) REPORT Header 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
nRow := oPrint:Getpro("currow")
oPrint:PrintLine( .T., nRow, nMinCol, nRow, nMaxCol, 0.1, aColor )
RETURN NIL

/*
* Report Footer
*/
STATIC FUNCTION p009_RpFo()
LOCAL aColor := {255, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
LOCAL nRow := oPrint:Getpro("currow")
oPrint:PrintLine( .T., nRow, nMinCol, nRow, nMaxCol, 0.5, aColor )
RETURN NIL
