#include "hmg.ch"

/*
* Level p006
*/
FUNCTION p006_Main
PUBLIC oPrint := L3WPrint():New()
IF oPrint:Error()
 MsgStop(oPrint:ErrorMsg())
ELSE
 IF oPrint:Select()
  oPrint:Setpro("margin", {5, 5, 5, 5})
  oPrint:Setpro("pageheader", { {|| p006_pghd()}, 0, 20 } )
  oPrint:Setpro("bodyheader", { {|| p006_bdhd()}, 0, 20 } )
  oPrint:Setpro("bodyfooter", { {|| p006_bdfo()}, 0, 10 } )
  p006_DoPrint()
 ENDIF
ENDIF
RETURN NIL
/*
* Level p006 subfuction
*/
STATIC FUNCTION p006_DoPrint()
LOCAL nCounter := 0
oPrint:StartDoc()
FOR nCounter:=1 TO 193
 oPrint:Setpro("rowheight",7)
 IF nCounter == 10
  oPrint:PrintText( .F., "Added a fluctuant PAGE HEADER with fluctuants BODY HEADER & FOOTER", 0, 10, 200, 6, , , .T., .F., .F., .F., , "LEFT" )
 ELSE
  oPrint:PrintText( .F., "# " + LTRIM(STR(nCounter))+" Times New Roman", 0, 30, 200, 6, "Times New Roman", 12, .F., .F., .F., .F., , "LEFT" )
 ENDIF
 oPrint:SkipLine(oPrint:Getpro("rowheight"))
NEXT nCounter
oPrint:EndDoc()
RETURN NIL

/*
* Level p006 Body Header
*/
STATIC FUNCTION p006_BdHd()
LOCAL aColor := {0, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol"), nRow := 0
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test006) BODY Header row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
oPrint:PrintText( .F., "(test006) BODY Header row 2 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
nRow := oPrint:Getpro("currow")
oPrint:PrintLine( .T., nRow, nMinCol, nRow, nMaxCol, 0.1, aColor )
RETURN NIL

/*
* Level p006 Body Footer
*/
STATIC FUNCTION p006_BdFo()
LOCAL aColor := {0, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test006) BODY Footer row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL

/*
* Level p006 Page Header
*/
STATIC FUNCTION p006_PgHd()
LOCAL aColor := {0, 255, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:PrintRectangle( .F., 0, nMinCol, 20, nMaxCol, 0.1, aColor )
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test006) PAGE Header row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
oPrint:PrintText( .F., "(test006) PAGE Header row 2 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL
