#include "hmg.ch"

/*
* Level p010
*/
FUNCTION p010_Main
PUBLIC oPrint := L3WPrint():New()
IF oPrint:Error()
 MsgStop(oPrint:ErrorMsg())
ELSE
 IF oPrint:Select()
  oPrint:Setpro("margin", {5, 5, 5, 5})
  oPrint:Setpro("repoheader", { {|| p010_rphd()}, 0, 10 } )
  oPrint:Setpro("pageheader", { {|| p010_pghd()}, 0, 20 } )
  oPrint:Setpro("bodyheader", { {|| p010_bdhd()}, 0, 20 } )
  oPrint:Setpro("bodyfooter", { {|| p010_bdfo()}, 0, 10 } )
  oPrint:Setpro("pagefooter", { {|| p010_pgfo()}, 270, 20 } )
  oPrint:Setpro("repofooter", { {|| p010_rpfo()}, 280, 5} )
  p010_DoPrint()
 ENDIF
ENDIF
RETURN NIL
/*
* Level p010 subfuction
*/
STATIC FUNCTION p010_DoPrint()
LOCAL nCol := INT( (oPrint:Getpro("maxcol") - 11) /2 )
LOCAL nCounter := 0
oPrint:StartDoc()
FOR nCounter:=1 TO 193
 IF (nCounter==18 .OR. nCounter==38 .OR. nCounter==78 .OR. nCounter==91 .OR. nCounter==118 .OR. nCounter==158 .OR. nCounter==193, oPrint:Setpro("rowheight",30), oPrint:Setpro("rowheight",7) )
 IF nCounter == 10
  oPrint:PrintText( .F., "Print image look at oPrint:Setpro("+chr(34)+"rowheight"+chr(34)+",<value>)", 0, 10, 200, 6, , , .T., .F., .F., .F., , "LEFT" )
 ELSE
  oPrint:PrintText( .F., "# " + LTRIM(STR(nCounter))+" Times New Roman", 0, 30, 200, 6, "Times New Roman", 12, .F., .F., .F., .F., , "LEFT" )
 ENDIF
 IF nCounter==18 .OR. nCounter==38 .OR. nCounter==78 .OR. nCounter==91 .OR. nCounter==118 .OR. nCounter==158 .OR. nCounter==193
  oPrint:PrintImage(.F., 'Images/hmg.jpg', 0, nCol, 30, 30, .F.)
 ENDIF
 oPrint:SkipLine(oPrint:Getpro("rowheight"))
NEXT nCounter
oPrint:EndDoc()
RETURN NIL

/*
* Level p010 Body Header
*/
STATIC FUNCTION p010_BdHd()
LOCAL aColor := {0, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol"), nRow := 0
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test010) BODY Header row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
oPrint:PrintText( .F., "(test010) BODY Header row 2 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
nRow := oPrint:Getpro("currow")
oPrint:PrintLine( .T., nRow, nMinCol, nRow, nMaxCol, 0.1, aColor )
RETURN NIL

/*
* Level p010 Body Footer
*/
STATIC FUNCTION p010_BdFo()
LOCAL aColor := {0, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test010) BODY Footer row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL


/*
* Level p010 Page Header
*/
STATIC FUNCTION p010_PgHd()
LOCAL aColor := {0, 255, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:PrintRectangle( .F., 0, nMinCol, 20, nMaxCol, 0.1, aColor )
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test010) PAGE Header row 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
oPrint:SkipLine(oPrint:Getpro("rowheight"))
oPrint:PrintText( .F., "(test010) PAGE Header row 2 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL

/*
* Level p010 Page Footer
*/
STATIC FUNCTION p010_PgFo()
LOCAL aColor := {0, 255, 0}, cPageNum := LTRIM( STR(oPrint:Getpro("pagenum")) )
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:PrintLine( .F., 0, nMinCol, 0, nMaxCol, 0.1, aColor )
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test010) PAGE Footer 1 Pag. "+cPageNum, , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL

/*
* Level p010 Header
*/
STATIC FUNCTION p010_RpHd()
LOCAL aColor := {255, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
LOCAL nRow := 0
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "(test010) REPORT Header 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
nRow := oPrint:Getpro("currow")
oPrint:PrintLine( .T., nRow, nMinCol, nRow, nMaxCol, 0.1, aColor )
RETURN NIL

/*
* Report Footer
*/
STATIC FUNCTION p010_RpFo()
LOCAL aColor := {255, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
LOCAL nRow := oPrint:Getpro("currow")
oPrint:PrintLine( .T., nRow, nMinCol, nRow, nMaxCol, 0.5, aColor )
RETURN NIL
