#include "hmg.ch"

FUNCTION p999_Main
PUBLIC oPrint := L3WPrint():New()
IF oPrint:Error()
 MsgStop(oPrint:ErrorMsg())
ELSE
 IF oPrint:Select()
  oPrint:Setpro("margin", {5, 5, 5, 5})
  oPrint:Setpro("repoheader", { {|| p999_rphd()}, 0, 10 } )
  oPrint:Setpro("pageheader", { {|| p999_pghd()}, 0, 20 } )
  oPrint:Setpro("bodyheader", { {|| p999_bdhd()}, 0, 10 } )
  oPrint:Setpro("bodyfooter", { {|| p999_bdfo()}, 0, 10 } )
  oPrint:Setpro("pagefooter", { {|| p999_pgfo()}, 280, 20 } )
  oPrint:Setpro("repofooter", { {|| p999_rpfo()}, 290, 5} )
  p999_DoPrint()
 ENDIF
ENDIF

STATIC FUNCTION p999_DoPrint()
LOCAL nCol := INT( (oPrint:Getpro("maxcol") - 11) /2 )
LOCAL nCounter := 0
oPrint:StartDoc()
FOR nCounter:=1 TO 193
 IF (nCounter!=78, oPrint:Setpro("rowheight",6), oPrint:Setpro("rowheight",30) )
 oPrint:PrintText( .F., "# " + LTRIM(STR(nCounter)), , 30, 200, 6, , , .F., .F., .F., .F., , "LEFT" )
 IF nCounter==78
  oPrint:PrintImage(.F., 'Images/hmg.jpg', 0, nCol, 30, 30, .F.)
 ENDIF
 oPrint:SkipLine(oPrint:Getpro("rowheight"))
NEXT nCounter
oPrint:Setpro("rowheight",30)
oPrint:PrintImage(.F., 'Images/hmg.jpg', 0, nCol, 30, 30, .F.)
oPrint:SkipLine(oPrint:Getpro("rowheight"))
*oPrint:PrintImage(.T., 'Images/hmg.jpg', 40, nCol, 30, 30, .F.)
oPrint:EndDoc()
RETURN NIL

/*
* Report Header
*/
STATIC FUNCTION p999_RpHd()
LOCAL aColor := {255, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
LOCAL nRow := 0
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "REPORT Header 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
nRow := oPrint:Getpro("currow")
oPrint:PrintLine( .T., nRow, nMinCol, nRow, nMaxCol, 0.1, aColor )
RETURN NIL

/*
* Report Footer
*/
STATIC FUNCTION p999_RpFo()
LOCAL aColor := {255, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
LOCAL nRow := oPrint:Getpro("currow")
oPrint:PrintLine( .T., nRow, nMinCol, nRow, nMaxCol, 0.1, aColor )
RETURN NIL

/*
* Body Header
*/
STATIC FUNCTION p999_BdHd()
LOCAL aColor := {0, 0, 0}
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "BODY Header 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL

/*
* Body Footer
*/
STATIC FUNCTION p999_BdFo()
LOCAL aColor := {0, 0, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "BODY Footer 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL

/*
* Page Header
*/
STATIC FUNCTION p999_PgHd()
LOCAL aColor := {0, 255, 0}
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:PrintRectangle( .F., 0, nMinCol, 20, nMaxCol, 0.1, aColor )
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "PAGE Header 1 ", , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL

/*
* Page Footer
*/
STATIC FUNCTION p999_PgFo()
LOCAL aColor := {0, 255, 0}, cPageNum := LTRIM( STR(oPrint:Getpro("pagenum")) )
LOCAL nMinCol := oPrint:Getpro("mincol"), nMaxCol:= oPrint:Getpro("maxcol")
oPrint:PrintLine( .F., 0, nMinCol, 0, nMaxCol, 0.1, aColor )
oPrint:Setpro("rowheight",7)
oPrint:PrintText( .F., "PAGE Footer 1 Pag. "+cPageNum, , , 200, 6, , , .T., .F., .F., .F., aColor, "CENTER" )
RETURN NIL
